#if !defined(AFX_FILTERDLG_H__0743C1C5_445F_4C5B_A6B4_14260E68E17C__INCLUDED_)
#define AFX_FILTERDLG_H__0743C1C5_445F_4C5B_A6B4_14260E68E17C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FilterDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// FilterDlg dialog

class CFilterDlg : public CDialog
{
// Construction
public:
	short GetMinDistance();
	short GetMinDiff();
	float GetMaxDiff();
	BYTE GetFilterType();
	BYTE GetFilterRange();
	CFilterDlg(CWnd* pParent = NULL);   // standard constructor

private:
	BYTE m_byFilterRange;
	BYTE m_byFilterType;
	
// Dialog Data
	//{{AFX_DATA(CFilterDlg)
	enum { IDD = IDD_DIALOG2 };
	short	m_nPixelThreshold;
	int		m_iFilterNum;
	short	m_nNewPFrameThreshold;
	float	m_fNewIFrameThreshold;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFilterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CFilterDlg)
	afx_msg void OnRadio5();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnChangeEdit1();
	afx_msg void OnChangeEdit2();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILTERDLG_H__0743C1C5_445F_4C5B_A6B4_14260E68E17C__INCLUDED_)
